public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pylama/
Date: Sat, 13 Oct 2018 22:35:27 +0000 (UTC)	[thread overview]
Message-ID: <1539470116.eded67aa44f6297b1ef828b18b186d6f38990b88.zmedico@gentoo> (raw)

commit:     eded67aa44f6297b1ef828b18b186d6f38990b88
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 13 21:56:39 2018 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Sat Oct 13 22:35:16 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eded67aa

dev-python/pylama: new package

Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-python/pylama/Manifest            |  1 +
 dev-python/pylama/metadata.xml        | 12 ++++++++++++
 dev-python/pylama/pylama-7.6.5.ebuild | 36 +++++++++++++++++++++++++++++++++++
 3 files changed, 49 insertions(+)

diff --git a/dev-python/pylama/Manifest b/dev-python/pylama/Manifest
new file mode 100644
index 00000000000..40d22231eca
--- /dev/null
+++ b/dev-python/pylama/Manifest
@@ -0,0 +1 @@
+DIST pylama-7.6.5.tar.gz 33680 BLAKE2B a80d976a6a5e7903f3e4aa6b36777b6a938d52980232d1858bbd602d277bce4b058f8ad404e6dc6692e6950ff36d8e698ff0e3afa44c06334a6bdbe728f15cdd SHA512 0ce2438622cdb3e85fb70d4246cdcc29940181dce82a1a641f6b7900a13f09cba0f871038992019a2e1ccc720dcd6dd5e21786bd8a2df40479a34c500a80fab4

diff --git a/dev-python/pylama/metadata.xml b/dev-python/pylama/metadata.xml
new file mode 100644
index 00000000000..15091e5bdcf
--- /dev/null
+++ b/dev-python/pylama/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>zmedico@gentoo.org</email>
+		<name>Zac Medico</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="pypi">pylama</remote-id>
+		<remote-id type="github">klen/pylama</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/dev-python/pylama/pylama-7.6.5.ebuild b/dev-python/pylama/pylama-7.6.5.ebuild
new file mode 100644
index 00000000000..13f07989b0d
--- /dev/null
+++ b/dev-python/pylama/pylama-7.6.5.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Code audit tool for python"
+HOMEPAGE="https://github.com/klen/pylama"
+SRC_URI="https://github.com/klen/pylama/archive/${PV}.tar.gz -> ${P}.tar.gz"
+# pypi tarball excludes unit tests
+#SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	>=dev-python/mccabe-0.5.2[${PYTHON_USEDEP}]
+	>=dev-python/pycodestyle-2.3.1[${PYTHON_USEDEP}]
+	>=dev-python/pydocstyle-2.0.0[${PYTHON_USEDEP}]
+	>=dev-python/pyflakes-1.5.0[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	test? (
+		>=dev-python/eradicate-0.2[${PYTHON_USEDEP}]
+		dev-python/pytest[${PYTHON_USEDEP}]
+		>=dev-python/radon-1.4.2[${PYTHON_USEDEP}]
+	)"
+
+python_test() {
+	py.test -v test_pylama.py || die "tests failed with ${EPYTHON}"
+}


             reply	other threads:[~2018-10-13 22:35 UTC|newest]

Thread overview: 65+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-10-13 22:35 Zac Medico [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-10-14 11:54 [gentoo-commits] repo/gentoo:master commit in: dev-python/pylama/ Zac Medico
2020-02-05 13:00 Michał Górny
2020-04-04  6:18 Zac Medico
2020-04-04  6:35 Zac Medico
2020-10-07 21:31 Louis Sautier
2020-10-11 23:44 Sam James
2020-10-16 21:56 Sergei Trofimovich
2020-11-28 15:36 Sam James
2020-11-28 15:36 Sam James
2020-12-07  4:28 Matt Turner
2020-12-13  0:16 Sam James
2020-12-13  0:34 Sam James
2020-12-13 10:09 Sam James
2020-12-14  0:46 Sam James
2020-12-15 22:10 Sergei Trofimovich
2020-12-31  6:26 Sam James
2020-12-31  6:33 Sam James
2021-08-25 11:41 Louis Sautier
2021-10-11  0:45 Sam James
2021-10-14  4:45 Sam James
2021-11-17  8:00 Sam James
2021-11-26  7:30 Michał Górny
2021-11-26  7:53 Michał Górny
2021-11-26 21:56 Michał Górny
2021-12-03 19:46 Michał Górny
2021-12-07  8:40 Joshua Kinard
2021-12-14 10:21 Michał Górny
2021-12-16  8:46 Michał Górny
2021-12-27 19:18 Jakov Smolić
2021-12-28 10:19 Sam James
2021-12-28 10:37 Michał Górny
2021-12-28 18:49 Arthur Zamarin
2021-12-28 18:51 Arthur Zamarin
2021-12-28 18:53 Arthur Zamarin
2021-12-28 18:54 Arthur Zamarin
2021-12-28 19:30 Arthur Zamarin
2021-12-28 19:40 Arthur Zamarin
2021-12-28 19:43 Arthur Zamarin
2021-12-30  8:47 Sam James
2021-12-30  8:57 Michał Górny
2021-12-31 16:53 Matt Turner
2022-01-02 13:21 Yixun Lan
2022-01-10 20:00 Michał Górny
2022-01-29  7:31 Arthur Zamarin
2022-01-29 10:04 Jakov Smolić
2022-01-29 10:04 Jakov Smolić
2022-01-29 14:03 Arthur Zamarin
2022-01-29 15:29 Arthur Zamarin
2022-01-29 15:29 Arthur Zamarin
2022-01-29 15:29 Arthur Zamarin
2022-02-02 10:48 Sam James
2022-02-02 12:16 Michał Górny
2022-02-13  7:55 Agostino Sarubbo
2022-02-13  9:33 Michał Górny
2022-03-14 17:04 Michał Górny
2022-04-15 15:18 Arthur Zamarin
2022-04-15 15:19 Arthur Zamarin
2022-06-05  5:40 Michał Górny
2022-08-08 19:18 Arthur Zamarin
2022-09-10 22:37 Jakov Smolić
2022-09-11  5:29 Michał Górny
2022-11-07 21:27 Andrew Ammerlaan
2022-11-08  8:52 Andrew Ammerlaan
2022-11-30 10:18 WANG Xuerui

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1539470116.eded67aa44f6297b1ef828b18b186d6f38990b88.zmedico@gentoo \
    --to=zmedico@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox